Bug 1293598 - (CVE-2015-9097) CVE-2015-9097 rubygem-mail: SMTP injection via recipient email addresses
CVE-2015-9097 rubygem-mail: SMTP injection via recipient email addresses
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20151211,reported=2...
: Security
Depends On: 1293599
Blocks: 1293629
  Show dependency treegraph
 
Reported: 2015-12-22 05:43 EST by Adam Mariš
Modified: 2017-08-08 03:00 EDT (History)
31 users (show)

See Also:
Fixed In Version: rubygem-mail 2.6.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-17 02:12:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-12-22 05:43:15 EST
It was found that versions of rubygem-mail prior to 2.6.0 are vulnerable to SMTP injection via recipient email addresses. Mail module does not validate nor sanitize given recipient addresses and does not impose a length limit on email addresses. An attacker can send long spam message via recipient address unless there is a limit on the application's side. This vulnerability affects only the applications that lack input validation.

Upstream patch:

https://github.com/mikel/mail/commit/72befdc4dab3e6e288ce226a7da2aa474cf5be83

CVE request:

http://www.openwall.com/lists/oss-security/2015/12/11/3

Note that, this patch might not be complete, since according to the author, the fault can also be on Net::SMTP's side.

Note You need to log in before you can comment on or make changes to this bug.